summaryrefslogtreecommitdiff
path: root/helpers/chroot_dpkg
diff options
context:
space:
mode:
authorDaniel Baumann <daniel@debian.org>2010-02-05 17:10:44 +0100
committerDaniel Baumann <daniel@debian.org>2011-03-09 19:17:04 +0100
commit3b80c5c5d9c9d2eec91910b70a120da5943c7fac (patch)
tree31b5fef2977e7fabe669077041c569169c788a95 /helpers/chroot_dpkg
parent59e9a93ad08c171fb0d22e965c56f91c5bd17615 (diff)
downloadlive-build-3b80c5c5d9c9d2eec91910b70a120da5943c7fac.zip
live-build-3b80c5c5d9c9d2eec91910b70a120da5943c7fac.tar.gz
Dropping lh_ prefix from internal helpers, this is not user visible.
Diffstat (limited to 'helpers/chroot_dpkg')
-rwxr-xr-xhelpers/chroot_dpkg81
1 files changed, 81 insertions, 0 deletions
diff --git a/helpers/chroot_dpkg b/helpers/chroot_dpkg
new file mode 100755
index 0000000..bf2950a
--- /dev/null
+++ b/helpers/chroot_dpkg
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# lh_chroot_dpkg(1) - manage /sbin/dpkg
+# Copyright (C) 2006-2009 Daniel Baumann <daniel@debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Including common functions
+. "${LH_BASE:-/usr/share/live-helper}"/live-helper.sh
+
+# Setting static variables
+DESCRIPTION="$(Echo 'manage /sbin/dpkg')"
+HELP=""
+USAGE="${PROGRAM} {install|remove} [--force]"
+
+Arguments "${@}"
+
+# Reading configuration files
+Read_conffiles config/all config/common config/bootstrap config/chroot config/binary config/source
+Set_defaults
+
+# Requiring stage file
+Require_stagefile .stage/config .stage/bootstrap
+
+case "${1}" in
+ install)
+ Echo_message "Configuring file /sbin/start-stop-daemon"
+
+ # Checking stage file
+ Check_stagefile .stage/chroot_dpkg
+
+ # Checking lock file
+ Check_lockfile .lock
+
+ # Creating lock file
+ Create_lockfile .lock
+
+ # Save start-stop-daemon program
+ mv chroot/sbin/start-stop-daemon chroot/sbin/start-stop-daemon.orig
+
+ # Create start-stop-daemon program
+
+cat > chroot/sbin/start-stop-daemon << EOF
+#!/bin/sh
+
+exit 0
+EOF
+
+ chmod 755 chroot/sbin/start-stop-daemon
+
+ # Creating stage file
+ Create_stagefile .stage/chroot_dpkg
+ ;;
+
+ remove)
+ Echo_message "Deconfiguring file /sbin/start-stop-daemon"
+
+ # Checking lock file
+ Check_lockfile .lock
+
+ # Creating lock file
+ Create_lockfile .lock
+
+ # Restore start-stop-daemon program
+ if [ -e chroot/sbin/start-stop-daemon.orig ]
+ then
+ mv chroot/sbin/start-stop-daemon.orig chroot/sbin/start-stop-daemon
+ fi
+
+ # Removing stage file
+ rm -f .stage/chroot_dpkg
+ ;;
+
+ *)
+ Usage
+ ;;
+esac